=== debian/changelog ===
z80asm (1.8-2) unstable; urgency=medium

  * Declare source format 3.0. Apply existing change to patch. (Closes: #1007310)
  * Update debhelper compat level to 10.
  * Update standards version to 4.6.2. No changes needed.
  * Use machine-readable copyright format.

 -- Bas Wijnen <wijnen@debian.org>  Thu, 17 Aug 2023 16:13:44 +0200

z80asm (1.8-1.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Apply a patch by Vagrant Cascadian to make the build reproducible. The
    build path was being embedded in /usr/bin/z80asm. (Closes: #1020875)
  * Apply patch from Helmut Grohne to make as z80asm cross build correctly. It
    was failing because it ran its own testsuite despite the value of
    DEB_BUILD_OPTIONS=nocheck; the upstream build system ran them as part of
    the "build" target and offers no specific test target. (Closes: #939775)

 -- Chris Lamb <lamby@debian.org>  Thu, 06 Oct 2022 09:09:08 -0700

z80asm (1.8-1) unstable; urgency=low

  * New upstream release.  Fixes defw bug.  (Closes: #519098)
  * Update standards version (no changes needed).
  * Update to debhelper 7.

 -- Bas Wijnen <wijnen@debian.org>  Mon, 04 May 2009 23:31:14 +0200

z80asm (1.6-1) unstable; urgency=low

  * New upstream release.  (Closes: #428821, #431017)
  * Update debian/copyright to GPL version 3 or later.
  * Don't ignore errors from make clean.

 -- Bas Wijnen <wijnen@debian.org>  Mon, 10 Sep 2007 00:42:01 +0200

z80asm (1.5-1) unstable; urgency=high

  * New upstream release.
  * High urgency, because it the fix for #427614, which is RC, has not yet
    migrated to testing.

 -- Bas Wijnen <wijnen@debian.org>  Thu, 14 Jun 2007 12:38:47 +0200

z80asm (1.4-1) unstable; urgency=low

  * New upstream release.  (Closes: #427614)

 -- Bas Wijnen <wijnen@debian.org>  Thu, 07 Jun 2007 10:58:09 +0200

z80asm (1.3-1) unstable; urgency=low

  * New upstream release.  (Closes: #423917, #423910)
  * Update standards version to 3.7.2.  (No changes needed.)
  * Add watch file.

 -- Bas Wijnen <wijnen@debian.org>  Thu, 24 May 2007 14:27:38 +0200

z80asm (1.2-1) unstable; urgency=low

  * New upstream release

 -- Bas Wijnen <shevek@fmf.nl>  Fri, 13 May 2005 14:40:33 +0200

z80asm (1.1-1) unstable; urgency=low

  * Initial Release.  (Closes: #308310)

 -- Bas Wijnen <shevek@fmf.nl>  Thu, 12 May 2005 00:48:57 +0200
