=== debian/control ===
Source: z80asm
Section: devel
Priority: optional
Maintainer: Bas Wijnen <wijnen@debian.org>
Build-Depends: debhelper (>= 10)
Standards-Version: 4.6.2

Package: z80asm
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Suggests: openmsx
Description: assembler for the Zilog Z80 microprocessor
 The Z80 microprocessor is used in old home computers, such as the
 ZX spectrum and MSX, and in several newer devices, such as the TI-83
 graphical calculator and (a stripped down version) in the (original) GameBoy.
 .
 This assembler is meant for developers who write code (in assembly) for
 such devices.
 .
 Features include:
  * macros
  * including other sources
  * complex expressions (similar to bash)
  * labels of unlimited length
  * conditional compilation depending on expressions
