=== debian/watch ===
version=3
http://download.savannah.nongnu.org/releases/z80asm/z80asm-(.*\..*)\.tar\.gz
